https://knowledge.autodesk.com/zh-hans/search-result/caas/CloudHelp/cloudhelp/2018 ... GUID-40F75E13-4A5C-4F84-A5DD-38DC1FBC246B-htm.html
VB.NET
程序代码: |
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.Windows
<CommandMethod("SizeDocumentWindow")> _
Public Sub SizeDocumentWindow()
''Size the Document window
Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument
acDoc.Window.WindowState = Window.State.Normal
'' Set the position of the Document window
Dim ptDoc As System.Windows.Point = New System.Windows.Point(0, 0)
acDoc.Window.DeviceIndependentLocation = ptdoc
'' Set the size of the Document window
Dim szDoc As System.Windows.Size = New System.Windows.Size(400, 400)
acDoc.Window.DeviceIndependentSize = szDoc
End Sub
[本日志由 tiancao1001 于 2018-12-07 06:11 PM 编辑]
|
暂时没有评论
发表评论 - 不要忘了输入验证码哦! |